gendarme_4.2-3_all.deb


Advertisement

Description

gendarme - extensible rule-based checker for CLI assemblies

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename gendarme_4.2-3_all.deb
Package name gendarme
Package version 4.2
Package release 3
Package architecture all
Package type deb
Category devel
Homepage http://www.mono-project.com/Gendarme
License -
Maintainer Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Download size 350.63 KB
Installed size 1.16 MB
Gendarme is a extensible rule-based tool to find problems in .NET
applications and libraries. Gendarme inspects programs and libraries
that contain code in ECMA CIL format (Mono and .NET) and looks for
common problems with the code, problems that compiler do not typically
check or have not historically checked.

Alternatives

Package Version Architecture Repository
gendarme_4.2-3_all.deb 4.2 all Debian Main
gendarme - - -

Requires

Name Value
libmono-corlib4.5-cil >= 5.18.0.240
libmono-sharpzip4.84-cil >= 5.12.0.309
libmono-system-core4.0-cil >= 5.18.0.240
libmono-system-drawing4.0-cil >= 5.12.0.309
libmono-system-web-services4.0-cil >= 4.2.0
libmono-system-windows-forms4.0-cil >= 5.16.0.220
libmono-system-xml4.0-cil >= 4.6.1.3
libmono-system4.0-cil >= 5.18.0.240
mono-runtime >= 3.0~

Conflicts

Name Value
mono-tools-devel << 2.0

Replaces

Name Value
mono-tools-devel << 2.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package gendarme_4.2-3_all.deb
Source Package mono-tools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gendarme deb package:
    # sudo apt-get install gendarme

Files

Path
/usr/bin/gd2i
/usr/bin/gendarme
/usr/bin/gendarme-wizard
/usr/lib/gendarme/Gendarme.Framework.dll
/usr/lib/gendarme/Gendarme.Rules.BadPractice.dll
/usr/lib/gendarme/Gendarme.Rules.Concurrency.dll
/usr/lib/gendarme/Gendarme.Rules.Correctness.dll
/usr/lib/gendarme/Gendarme.Rules.Design.Generic.dll
/usr/lib/gendarme/Gendarme.Rules.Design.Linq.dll
/usr/lib/gendarme/Gendarme.Rules.Design.dll
/usr/lib/gendarme/Gendarme.Rules.Exceptions.dll
/usr/lib/gendarme/Gendarme.Rules.Gendarme.dll
/usr/lib/gendarme/Gendarme.Rules.Globalization.dll
/usr/lib/gendarme/Gendarme.Rules.Interoperability.Com.dll
/usr/lib/gendarme/Gendarme.Rules.Interoperability.dll
/usr/lib/gendarme/Gendarme.Rules.Maintainability.dll
/usr/lib/gendarme/Gendarme.Rules.NUnit.dll
/usr/lib/gendarme/Gendarme.Rules.Naming.dll
/usr/lib/gendarme/Gendarme.Rules.Performance.dll
/usr/lib/gendarme/Gendarme.Rules.Portability.dll
/usr/lib/gendarme/Gendarme.Rules.Security.Cas.dll
/usr/lib/gendarme/Gendarme.Rules.Security.dll
/usr/lib/gendarme/Gendarme.Rules.Serialization.dll
/usr/lib/gendarme/Gendarme.Rules.Smells.dll
/usr/lib/gendarme/Gendarme.Rules.Ui.dll
/usr/lib/gendarme/Mono.Cecil.dll
/usr/lib/gendarme/gd2i.exe
/usr/lib/gendarme/gendarme-wizard.exe
/usr/lib/gendarme/gendarme.exe
/usr/lib/gendarme/rules.xml
/usr/lib/pkgconfig/gendarme-framework.pc
/usr/share/doc/gendarme/changelog.Debian.gz
/usr/share/doc/gendarme/changelog.gz
/usr/share/doc/gendarme/copyright
/usr/share/man/man1/gd2i.1.gz
/usr/share/man/man1/gendarme.1.gz
/usr/share/man/man5/gendarme.5.gz

Changelog

2019-02-15 - Jo Shields <joshield@microsoft.com>
mono-tools (4.2-3) unstable; urgency=medium
* [2e576f3] We know what we're doing - don't fail due to obsolete
SharpZipLib warning (Closes: #921793)
2018-02-18 - Jeremy Bicha <jbicha@debian.org>
mono-tools (4.2-2.2) unstable; urgency=medium
* Non-maintainer upload.
* Drop unnecessary Build-Depends on libgconf2.0-cil-dev and
libgnome2.0-cil-dev (Closes: #888632)
2017-09-21 - Jeremy Bicha <jbicha@debian.org>
mono-tools (4.2-2.1) unstable; urgency=medium
* Non-maintainer upload.
* [a4960e8] Don't Build-Depend on libwebkit-cil-dev (Closes: #871831)
* [fbcd672] Drop ilcontrast and monodoc-browser since they won't work
without webkit1
2016-11-15 - Jo Shields <jo.shields@xamarin.com>
mono-tools (4.2-2) unstable; urgency=medium
* [9adcc51] Don't depend on gmcs any more
* [80b613c] Use Mono.Cecil package, not private Cecil from src:mono
2016-01-03 - Jo Shields <directhex@apebox.org>
mono-tools (4.2-1) unstable; urgency=medium
* [5c7a2bd] Fix URL in debian/watch
* [aea5393] Imported Upstream version 4.2
* [4870edf] Refreshed debian/patches/00-fix_build_system.patch
* [d8fb42a] Don't try to use gmcs
2014-10-08 - Jo Shields <directhex@apebox.org>
mono-tools (3.10-1) unstable; urgency=medium
* [25b8caf] Imported Upstream version 3.10
* [1771e9d] Add missing source for minified Javascript (Closes: #737440)
2014-07-10 - Iain Lane <laney@debian.org>
mono-tools (2.11+git20131009.5b1ef35-2) unstable; urgency=medium
* No-change rebuild for libmono-csharp ABI bump.
2013-10-10 - Jo Shields <directhex@apebox.org>
mono-tools (2.11+git20131009.5b1ef35-1) unstable; urgency=low
* [fa21924] Imported Upstream version 2.11+git20131009.5b1ef35 
(Closes: #577522, #713095)
* [4a5d107] Remove obsolete patch 
debian/patches/add_missing_Global.asax.patch
* [c39b355] Remove obsolete patch 
debian/patches/automake_devs_need_a_new_job
* [85fc181] Stop trying to generate documentation indices systemwide. 
This is better handled on a per-user basis by the monodoc browser 
when run interactively. (Closes: #479491, #611790, #615986)
* [c2aa8f0] Add zip to build-depends.
* [967c86d] Override GMCS as well as MCS and DMCS
* [d5577ab] Remove references in "make install" to files which don't exist.
* [82d8593] Deal with replacement path to xmlextras.js
2012-07-23 - Iain Lane <laney@debian.org>
mono-tools (2.10-6) unstable; urgency=high
* [3a59ba0] Remove trailing whitespace in postinst. (Closes: #682248)
2012-07-12 - Iain Lane <laney@debian.org>
mono-tools (2.10-5) unstable; urgency=low
* [f5fdaf0] Ignore failures in the postinst trigger. It's difficult to
guarantee what's going to be available when the trigger is run. We might
as well not fail if running any of the commands fails, since that's no
worse than not registering the packages.
* [8817190] Call gac-install instead of gac-package-install to install mono
gac-package-install is for installing /packages/ into the GAC.
gac-install is for initialising the gac itself. It wasn't right to call
gac-package-install here. Also, check that required files exist before
proceeding. (Closes: #681320)

See Also

Package Description
genders_1.22-1+b1_i386.deb cluster configuration management database tools
geneagrapher_1.0c2+git20180919-1_all.deb Create tree from Mathematics Genealogy Project
generator-scripting-language-examples_4.1.5-3_all.deb Examples for the Generator Scripting Language code generator
generator-scripting-language_4.1.5-3_i386.deb Generator Scripting Language code generator
geneweb-gui_6.08+git20181019+dfsg-2_i386.deb graphical user interface to Geneweb genealogy software
geneweb_6.08+git20181019+dfsg-2_i386.deb genealogy software with web interface
genext2fs_1.4.1-4+b2_i386.deb ext2 filesystem generator for embedded systems
gengetopt_2.22.6+dfsg0-3_i386.deb skeleton main.c generator
genisoimage_1.1.11-3+b2_i386.deb Creates ISO-9660 CD-ROM filesystem images
genisovh_0.1-4+b1_i386.deb Make CD-ROMs bootable for SGI MIPS machines
genius-common_1.0.24-2_all.deb advanced general purpose calculator program (common files)
genius-dev_1.0.24-2_all.deb advanced general purpose calculator program (development files)
genius_1.0.24-2_i386.deb advanced general purpose calculator program (CLI frontend)
genometester_4.0+git20180508.a9c14a6+dfsg-1_i386.deb toolkit for performing set operations on k-mer lists
genometools-common_1.5.10+ds-3_all.deb shared data files for GenomeTools
Advertisement
Advertisement